package org.kne.cloud.network;

import java.util.LinkedHashMap;

public class HostPortMap extends LinkedHashMap<String, MultiProtocolSocketAddress> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	public MultiProtocolSocketAddress putN$H(String str) {
		String[] strx=str.split("\\$");
		return super.put(strx[0], new MultiProtocolSocketAddress( strx[1]));
	}

}
